'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.parseCLIArg = exports.progressMap = exports.exitUsage = exports.log = undefined;

var _promise = require('babel-runtime/core-js/promise');

var _promise2 = _interopRequireDefault(_promise);

var _asciiProgress = require('ascii-progress');

var _asciiProgress2 = _interopRequireDefault(_asciiProgress);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var log = exports.log = function log() {
  var _console;

  return (_console = console).error.apply(_console, arguments);
}; /* eslint-disable no-console */

var exitUsage = exports.exitUsage = function exitUsage() {
  console.error('\nUsage: plex-sync IP[:PORT]/SECTION IP[:PORT]/SECTION [IP[:PORT]/SECTION...]\n\nExample:\n\nSync section 1 on a server with the default port with section 2 on another server:\n$ plex-sync 10.0.1.2/1 10.0.1.3:32401/2\n\nSync three servers:\n$ plex-sync 10.0.1.2/1 10.0.1.3/1 10.0.1.4/1\n'.trim());
  process.exit(1);
};

var progressMap = exports.progressMap = function progressMap(items, fn) {
  var progress = new _asciiProgress2.default({ total: items.length });

  return _promise2.default.all(items.map(function () {
    progress.tick();
    return fn.apply(undefined, arguments);
  }));
};

var parseCLIArg = exports.parseCLIArg = function parseCLIArg(arg) {
  var matches = arg.match(/^(([^:]+)(:\d+)?)\/(\d+)$/);
  if (!matches) exitUsage();
  var host = '' + matches[2] + (matches[3] || ':32400');
  var section = matches[4] || '1';
  return { host: host, section: section };
};